Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class MethodCache

    java.lang.Object
      php.java.bridge.MethodCache

    public final class MethodCache

extends java.lang.Object

Cache [Entry(object, method, parameters) -> Method]. No synchronization, so use this class per thread or per request only.

Nested Class Summary
`static class` | `MethodCache.Entry` A cache entry.

Constructor Summary
`MethodCache()` Create a new method cache.

Method Summary
`void` | `clear()` Removes all mappings from this cache.
`java.lang.reflect.Method` | `get(MethodCache.Entry entry)` Get the method for the entry
`MethodCache.Entry` | `getEntry(java.lang.String name, java.lang.Object obj, java.lang.Object[] args)` Get a cache entry from a name, class and arguments.
`void` | `put(MethodCache.Entry entry, java.lang.reflect.Method method)` Store a constructor with an entry

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodCache

    public MethodCache()

  Create a new method cache.

Method Detail

### get

    public java.lang.reflect.Method get(MethodCache.Entry entry)

  Get the method for the entry

  Parameters:
    `entry` - The entry
  Returns:
    The method

### put

    public void put(MethodCache.Entry entry,
                    java.lang.reflect.Method method)

  Store a constructor with an entry

  Parameters:
    `entry` - The cache entry
    `method` - The method

### getEntry

    public MethodCache.Entry getEntry(java.lang.String name,
                                      java.lang.Object obj,
                                      java.lang.Object[] args)

  Get a cache entry from a name, class and arguments.

  Parameters:
    `name` - The method name
    `obj` - The object or class
    `args` - The arguments
  Returns:
    A cache entry.

### clear

    public void clear()

  Removes all mappings from this cache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD